Subject: Re: bug#31316: Emacs hangs in `font_open_entity'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2019 17:55:57 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 17 Nov 2019 09:23:07 +0100
> Cc: [email-masked]
> 
> >   for (psize = pixel_size; ; psize++)
> >     {
> >       font_object = driver_list->driver->open (f, entity, psize);
> >       if (NILP (font_object))
> >         return Qnil;
> >       font = XFONT_OBJECT (font_object);
> >       if (font->average_width > 0 && font->height > 0)
> >         break;
> >     }
> >
> > Both `average_width' and `height' are always zero for `font'
> > regardless of `psize'; this effectively makes the above code an
> > endless loop.
> 
> I tried reproducing this with Emacs 27 (on a Debian laptop), and I get
> no hangs.  Are you still seeing this problem?

The infloop was fixed in commit e2879c1.

There was an additional issue that caused the bug to remain open, but
I think we can close this now.